DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Attributes | List of all members
DcmPresentationContextMap Class Reference

this helper class maintains a map of presentation context lists. More...

## Public Member Functions
| DcmPresentationContextMap ()
| constructor
| ~DcmPresentationContextMap ()
| destructor
void | clear ()
| Resets DcmPresentationContextMap and frees any allocated memory.
| DcmPresentationContextMap (const DcmPresentationContextMap &arg)
| Copy constructor, creates deep copy.
DcmPresentationContextMap & | operator= (const DcmPresentationContextMap &arg)
| Copy assignment operator, creates deep copy.
OFMap< OFString, DcmPresentationContextList * >::const_iterator | begin ()
| const iterator pointing to start of presentation context map More...
OFMap< OFString, DcmPresentationContextList * >::const_iterator | end ()
| const iterator pointing to end of presentation context map (behind last entry) More...
const DcmPresentationContextList * | getPresentationContextList (const OFString &pcName)
| get list of presentation contexts given the corresponding symbolic name More...
OFCondition | add (const OFString &key, const OFString &abstractSyntaxUID, const OFString &transferSyntaxKey, OFBool scuMode)
| add new entry to list within map. More...
OFBool | isKnownKey (const char *key) const
| checks if the key is known More...
OFBool | isKnownAbstractSyntax (const char *key, const DcmUIDHandler &abstractSyntax) const
| checks if the given abstract syntax is contained in the list identified by the given key. More...
const DcmPresentationContextList * | getPresentationContextList (const char *key) const
| returns the list of presentation contexts identified by the given key More...

## Private Attributes
OFMap< OFString, DcmPresentationContextList * > | map_
| map of presentation context lists

## Detailed Description

this helper class maintains a map of presentation context lists.

Not intended for use by the end user.

## Member Function Documentation

## ◆ add()

OFCondition DcmPresentationContextMap::add | ( | const OFString & | key,
|  | const OFString & | abstractSyntaxUID,
|  | const OFString & | transferSyntaxKey,
|  | OFBool | scuMode
| ) |  |

add new entry to list within map.

If key is new, new list is created. Otherwise value is appended to existing list.

Parameters

  key | map key
  abstractSyntaxUID | abstract syntax UID
  transferSyntaxKey | symbolic name of transfer syntax UID list, not checked here.
  scuMode | true if the configuration is intended for an SCU (i.e. the limit of 128 presentation contexts must be preserved), false otherwise

Returns
  EC_Normal if successful, an error code otherwise

## ◆ begin()

OFMap<OFString, DcmPresentationContextList*>::const_iterator DcmPresentationContextMap::begin | ( |  | ) |

const iterator pointing to start of presentation context map

Returns
  iterator to start of presentation context map

## ◆ end()

OFMap<OFString, DcmPresentationContextList*>::const_iterator DcmPresentationContextMap::end | ( |  | ) |

const iterator pointing to end of presentation context map (behind last entry)

Returns
  iterator to end of presentation context map

## ◆ getPresentationContextList() [1/2]

const DcmPresentationContextList* DcmPresentationContextMap::getPresentationContextList | ( | const char * | key | ) | const

returns the list of presentation contexts identified by the given key

Parameters

  key | presentation context list to search

Returns
  pointer to presentation context list if found, NULL otherwise

## ◆ getPresentationContextList() [2/2]

const DcmPresentationContextList* DcmPresentationContextMap::getPresentationContextList | ( | const OFString & | pcName | ) |

get list of presentation contexts given the corresponding symbolic name

Parameters

  pcName | the symbolic name of the pc list

Returns
  the requested presentation context list (or NULL, if not existing)

## ◆ isKnownAbstractSyntax()

OFBool DcmPresentationContextMap::isKnownAbstractSyntax | ( | const char * | key,
|  | const DcmUIDHandler & | abstractSyntax
| ) |  | const

checks if the given abstract syntax is contained in the list identified by the given key.

Parameters

  key | presentation context list to search
  abstractSyntax | abstract syntax UID to search

Returns
  true if abstract syntax is in list, false otherwise

## ◆ isKnownKey()

OFBool DcmPresentationContextMap::isKnownKey | ( | const char * | key | ) | const

checks if the key is known

Parameters

  key | key name, must not be NULL

Returns
  true if key is known, false otherwise

The documentation for this class was generated from the following file:

- dcmnet/include/dcmtk/dcmnet/dccfpcmp.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1